package cn.rankin.data.api.app.vo;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.ProductTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@ToString
public class ItemVo implements Serializable {

    private String id;

    private String code;

    private ProductTypeEnum type;

    private String title;

    private String subTitle;

    private String breadCrumb;

    private String coverUrl;

    private List<String> imgList;

    private BaseStatusEnum status;

    private List<ItemGoodsVo> goods;
}
